# Method Pike.__Backend()->call_out()

Method call_out

  ``array` call_out(`function`(:`void`) `f`, `float`|`int` `delay`, `mixed` ... `args`)`

Description

  Make a delayed call to a function.

  call_out() places a call to the function `f` with the argument `args` in a queue to be called in about `delay` seconds.

  If `f` returns `-1`, no other call out or callback will be called by the backend in this round. I.e. `() will return right away. For the main backend that means it will immediately start another round and check files and call outs anew.

Returns

  Returns a call_out identifier that identifies this call_out. This value can be sent to eg find_call_out() or remove_call_out().

See also

  remove_call_out(), find_call_out(), call_out_info(), CallOut